#
# spec file for package python3-mistune
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-mistune
Version:        0.8.3
Release:        9.1
Summary:        The fastest markdown parser in pure Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/lepture/mistune
Source0:        https://files.pythonhosted.org/packages/source/m/mistune/mistune-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The fastest markdown parser in pure Python, inspired by marked.

%prep
%setup -q -n mistune-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc LICENSE README.rst

%changelog
* Wed Dec  6 2017 arun@gmx.de
- update to version 0.8.3:
  * Fix nested html issue. #137
- changes from version 0.8.2:
  * Fix _keyify with lower case.
* Wed Nov  8 2017 arun@gmx.de
- update to version 0.8.1 bsc#1072307:
  * Security fix CVE-2017-16876, thanks Dawid Czarnecki
* Mon Nov  6 2017 arun@gmx.de
- update to version 0.8.0 bsc#1064640:
  * Also fixes CVE-2017-15612
  * Remove non breaking spaces preprocessing
  * Remove rev and rel attribute for footnotes
  * Fix bypassing XSS vulnerability by junorouse
* Fri Apr  7 2017 toddrme2178@gmail.com
- Fix source url.
* Fri Apr  7 2017 toddrme2178@gmail.com
- update to version 0.7.4:
  * Fix escape_link method by Marcos Ojeda
  * Handle block HTML with no content by David Baumgold
  * Use expandtabs for tab
  * Fix escape option for text renderer
  * Fix HTML attribute regex pattern
- update to version 0.7.3:
  * Fix strikethrough regex
  * Fix HTML attribute regex
  * Fix close tag regex
- update to version 0.7.2:
  * Fix hard_wrap options on renderer.
  * Fix emphasis regex pattern
  * Fix base64 image link #80.
  * Fix link security per #87.
- update to version 0.7.1:
  * Fix inline html when there is no content per #71.
- specfile:
  * update copyright year
  * updated source url to files.pythonhosted.org
* Sat Jul 18 2015 arun@gmx.de
- update to version 0.7:
  * Fix the breaking change in version 0.6 with options:
    parse_inline_html and parse_block_html
  * Breaking change: remove parse_html option for explicit
  * Change option escape default value to True for security reason
* Thu Jun 18 2015 arun@gmx.de
- update to version 0.6:
  * Breaking change on inline HTML, text in inline HTML will not be
    parsed per #38.
  * Replace tag renderer with inline_html for breaking change on
    inline HTML
  * Double emphasis, emphasis, code, and strikethrough can contain one
    linebreak per #48.
  * Match autolinks that do not have / in their URI via #53.
  * A work around on link that contains ) per #46.
  * Add <font> tag for inline tags per #55.
* Tue Apr  7 2015 zaitor@opensuse.org
- Correct License: BSD-3-Clause is used.
* Wed Mar 11 2015 arun@gmx.de
- update to version 0.5.1:
  * Fix a bug when list item is blank via ipython#7929.
  * Use python-wheels to build wheels for Mac.
* Sat Feb 28 2015 arun@gmx.de
- initial version
